using UnityEngine;

public class Settings : MonoBehaviour
{
    public static Settings Instance;

    [field: SerializeField, Range(0f, Mathf.PI * 2)] public float RadiusSpeed   { get; private set; } = 2f;
    [field: SerializeField, Range(0f, 2f)]           public float DistanceSpeed { get; private set; } = 0.6f;
    [field: SerializeField, Range(0f, 1f)]           public float GapDistance   { get; private set; } = 0.3f;

    [field: SerializeField] public GameObject RingPrefab     { get; private set; }
    [field: SerializeField] public GameObject EnemyPrefab    { get; private set; }
    [field: SerializeField] public GameObject ModifierPrefab { get; private set; }

    private void Start() => Instance = this;
}
